clear all
close all

c2_left=linspace(-5,-1e-3,10000);
c1_left = -1./c2_left;
c2_right=linspace(1e-3,5,10000);
c1_right = -1./c2_right;

figure
ax1 = axes;
xlim([-2.5 2.5])
ylim([-2.5 2.5])
axis square
box on
hold on
plot(ax1,c1_left,c2_left,'LineWidth',1,'Color',[0 0 0])
plot(ax1,c1_right,c2_right,'LineWidth',1,'Color',[0 0 0])

% Form polygon
ceiling = max(ylim(ax1));  %define top of polygon as top of y axis
xp = [c1_right,fliplr(c1_right)]; 
yp = [c2_right, repmat(ceiling,size(c1_right))]; 
hold(ax1, 'on')
% Fill area above curve
fill(ax1,xp,yp,[0.776470601558685 0.172549024224281 0.301960796117783])

ceiling = min(ylim(ax1));  %define bottom of polygon as bottom of y axis
xp2 = [c1_left,fliplr(c1_left)]; 
yp2 = [c2_left, repmat(ceiling,size(c1_left))]; 
hold(ax1, 'on')
% Fill area below curve
fill(ax1,xp2,yp2,[0.776470601558685 0.172549024224281 0.301960796117783])

set(gca,'xtick',[-1.25,0,1.25],'ytick',[-1.25,0,1.25])
xlim([-2.5 2.5])
ylim([-2.5 2.5])
set(gcf,'Position',[572.3333  315.6667  320.6667  152.0000])
xlabel('c_D')
ylabel('c_{NL}')
set(gca,'ticklength',[0.04 0.05])

%% Numerical simulation points

%S1,S2,S4,S5,S6,S8,S9,S10
c1_sim = [0.44, 0, -1.65, -1.13, 1.15, -1.03, 2.22, -1.5];
c2_sim = [0.61, 0, 0.61, -1.18, -0.87, 0.58, -1.34, 1.18];

hold all
plot(c1_sim,c2_sim,'MarkerFaceColor',[0.313725501298904 0.313725501298904 0.313725501298904],...
    'MarkerSize',4,...
    'Marker','o',...
    'LineStyle','none',...
    'Color',[0.24705882370472 0.24705882370472 0.24705882370472])


%% Experimental value obtained from Mathematica script with full formula (no small LEF approximation)

c1_val = -1.72; %pos alpha
c2_val = 0.60;
err_c1 = 0.53; %pos alpha
err_c2 = 0.45;
   
hold all
errorbar(c1_val,c2_val,err_c2,err_c2,err_c1,err_c1,'k')
plot(c1_val,c2_val,'MarkerFaceColor',[0.466666668653488 0.674509823322296 0.18823529779911],...
    'MarkerEdgeColor',[0 0 0],...
    'Marker','square',...
    'LineStyle','none')

